Bug 193440 - The Stradis driver conflicts with other SAA7146 drivers.
The Stradis driver conflicts with other SAA7146 drivers.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-28 13:29 EDT by Christer Weinigel
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:16:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christer Weinigel 2006-05-28 13:29:16 EDT
Description of problem:

Since the 2.6.16 kernel stradis.ko contains a module table
that says that it is a driver for any SAA7146 based board. 
If the stradis driver is loaded it stops most other SAA7146 
based drivers from working.  For me it's the budget-ci driver
that fails to work since the stradis driver already has 
bound to the PCI device.

How reproducible:

Always.

Steps to Reproduce:

Boot FC5 with a 2.6.16 kernel and a budget-ci card (WinTV Nova).

Actual results:

In dmesg you will see: 

stradis 0000:00:13.0: 0: SDM2xx found

even though the budget-ci driver is loaded, the WinTV nova is
not detected and won't work.

Expected results:

To get the correct behaviour, unload the stradis module and
unload and reload the budget-ci modules to force a redetect:

rmmod stradis
rmmod budget-ci
rmmod budget-core
rmmod saa7146
modprobe budget-ci

This time, the stradis driver does not interfere and the 
WinTV Nova is detected as it should be:

saa7146: found saa7146 @ mem e08ee000 (revision 1, irq 17) (0x13c2,0x1011).
DVB: registering new adapter (TT-Budget/WinTV-NOVA-T     PCI).

Additional info:

To work around this problem, add a the following to /etc/modprobe.d/blacklist :

# The stradis driver conflicts with other SAA7146 based drivers.
# If you actually have a stradis card, uncomment the following line.
blacklist stradis
Comment 1 Phil Knirsch 2006-06-06 08:30:57 EDT
This sounds much more like a kernel bug, so i'm reassinging it to the kernel
component.

The hwdata component only deals with bugs of the hwdata package which contains
files like pci.ids, MonitorsDB and others.

Read ya, Phil
Comment 2 Dave Jones 2006-10-16 20:50:43 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:16:44 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.